<?xml version="1.0" encoding="utf-8"?> 

<Config>
	<Core language="zh-CN" adminDirectory="SiteServer" userDirectory="UserCenter" spaceDirectory="space" isValidateCode="true" checkCode="validate" products="SiteServer">
		
		<userHandler defaultProvider="UserProvider">
			<providers>
				<clear />
				<add name="UserProvider" type="UserCenter.Provider.User.UserHandlerFactoryImpl,UserCenter.Provider" connectionStringName="ConnectionString" isActiveDirectory="false" passwordFormat="Encrypted" minPasswordLength="4" adPath="" adDomain="" adAccount="" adPassword="" description="用户操作默认实现" />
				<add name="DiscuzNTProvider" type="UserCenter.Provider.DiscuzNT.UserHandlerFactoryImpl,UserCenter.Provider" connectionString="" isActiveDirectory="false" passwordFormat="Encrypted" minPasswordLength="4" adPath="" adDomain="" adAccount="" adPassword="" description="Discuz NT 用户操作" />
			</providers>
		</userHandler>
		
		<adminHandler defaultProvider="AdminProvider">
			<providers>
				<clear />
				<add name="AdminProvider" type="UserCenter.Provider.Admin.AdminHandlerFactoryImpl,UserCenter.Provider" connectionStringName="ConnectionString" isActiveDirectory="false" passwordFormat="Encrypted" minPasswordLength="4" adPath="" adDomain="" adAccount="" adPassword="" description="管理员操作默认实现" />
			</providers>
		</adminHandler>
		
	</Core>
	<SiteServer>

		<advertisements>
		</advertisements>
		
		<commentHandler defaultProvider="SiteServerCommentProvider">
			<providers>
				<clear />
				<add name="SiteServerCommentProvider" type="SiteServer.Provider.Comment.CommentHandlerFactoryImpl,SiteServer.Provider" connectionStringName="ConnectionString" description="评论操作默认实现" />
			</providers>
		</commentHandler>

	</SiteServer>
	
	<LiveServer>
		
		<blogHandler defaultProvider="LiveServerBlogProvider">
			<providers>
				<clear />
				<add name="LiveServerBlogProvider" type="LiveServer.Provider.Blog.ContentHandlerFactoryImpl,LiveServer.Provider" connectionStringName="ConnectionString" description="博客操作默认实现" />
			</providers>
		</blogHandler>
		
		<photoHandler defaultProvider="LiveServerPhotoProvider">
			<providers>
				<clear />
				<add name="LiveServerPhotoProvider" type="LiveServer.Provider.Photo.ContentHandlerFactoryImpl,LiveServer.Provider" connectionStringName="ConnectionString" description="相册操作默认实现" />
			</providers>
		</photoHandler>
		
		<commentHandler defaultProvider="LiveServerCommentProvider">
			<providers>
				<clear />
				<add name="LiveServerCommentProvider" type="LiveServer.Provider.Comment.CommentHandlerFactoryImpl,LiveServer.Provider" connectionStringName="ConnectionString" description="评论操作默认实现" />
			</providers>
		</commentHandler>
		
	</LiveServer>
</Config>